% !TEX root = ../toptesi-scudo-example.tex
% !TEX encoding = UTF-8 Unicode
%*****************************************************************
%*********************** Third chapter ***************************
%*****************************************************************

\chapter{Global Navigation Satellite Systems and Cooperative Positioning}
\label{ch:GNSSfundamentals}

% ********************** Define Graphics Path ********************
\graphicspath{{Chapter1/Figures/}}


\ac{GNSS} is nowadays a consolidated technology to determine positioning and timing information of a receiver w.r.t. an absolute reference frame with good accuracy, precision and availability \cite{kaplan2017understanding}. The space segment of each system is based on a set of spacecrafts, namely a satellite \textit{constellation}, orbiting the Earth at a distance of more than \SI{20000}{\km} and continuously broadcasting a set of \ac{RF} electro-magnetic signals. Despite of the popularity of such a paradigm, the use of satellites can be considered a relatively recent achievement in the history of navigation. In light of this it is worthy to recap the relevant milestones of radio navigation within this chapter. It is remarkable that the age of \ac{GNSS} started a massive revolution of our daily habits after 30 years from the birth of the first Satellite Navigation System, the \ac{GPS}. About 20 years later the availability of inexpensive microelectronics led to miniaturized receivers, thus moving \ac{GNSS} into highly-integrated devices and getting closer to other ground-breaking technologies such as the broadband cellular networks. The synergy of these technologies is going to naturally enable new paradigms such as the \ac{GNSS}-based \ac{CP} proposed in this thesis. 
% SECTION 1: appunti di storia e tecnologie di radionavigazione
In order to provide a proper timeline of the history of radionavigation, a brief summary of the techniques developed for positioning and navigation is given in Section \ref{sec:radioNav}.
% SECTION 2: Navigation Satellite systems
A brief summary of the current Global and regional Navigation Satellite System is then provided in Section \ref{sec:nss} highlighting focus to \ac{GPS} and Galileo systems.
% SECTION 3: Principles of PVT computation
The fundamentals of \ac{GNSS} \ac{PVT} computation are eventually recalled in Section \ref{sec:GNSSSfund} to describe the mathematical background on top of which this thesis has been conceived.
% SECTION 4: Collaborative positioning
%\ac{CP} in \ac{GNSS} is then introduced in Section \ref{sec:coopPos} to introduce the paradigm according to the research contributions available in literature and the aims of this research.

\section{From the Observation of the Stars to Radio Navigation}
\label{sec:radioNav}

In this section, the main milestones of the navigation technologies are introduced to provide an historical overview about radio navigation and satellite navigation systems. First, some historical details are given about the evolution of navigation technologies and an overview of current satellite navigation systems is then presented. Accurate historical detail and extended technical data about these system are our of the scope of this work and they can be retrieved by the reader through introductory chapters of \cite{bradford1996global, kaplan2017understanding, misra2006global, zekavat2011handbook}, to which this content is inspired. 

\subsection{Brief history of navigation technologies}
\label{sub:history}

With the term \ac{PNT} we collect findings and technologies which supported the mankind by providing the answer to an age-old need: the \textit{orientation}. The need of reliable reference markers and landmarks guided the whole history of navigation starting from the observation of the sky up to the design of modern satellite navigation systems. The \textit{orientation} entails two fundamental aspects which can be identified as \textit{positioning} and \textit{navigation}. The first is defined as the ability of determining the location of an object w.r.t. to a conventional reference system while the latter implies the capacity to describe the motion (speed, direction) of an object along a path.

\subsubsection{Geodesy, timekeeping and astronomy}

The need of estimating position and travel directions led first to an accurate mapping of the stars, used as celestial markers by Phoenicians to cross the Mediterranean sea and by Polynesians to navigate across the Pacific Ocean for thousands of kilometres. In parallel, the interest towards the study of the size and shape of the earth grew rapidly along with the mapping of its surface. However the position and dynamics of the stars remained for a long time the most reliable tool draw accurate maps. Early navigators were able to determine both time and position on the earth surface by relying on celestial observations and exploiting relative angular measurements. The accuracy of such estimations was remarkably poor thus turning long travels into dangerous challenges. To support these activities, a conventional reference frame was conceived by Greeks more than two thousands years ago w.r.t. to the equator; the latitude was hence defined and measured according to the elevation of the Pole star w.r.t. to the point of observation. Despite the advances in the field, early explorers navigated by keeping track of direction and distance travelled w.r.t. a reference point. 

After more than 2 thousands years of star-based navigation, the intrinsic limitation of this methods such as the unavailability due to non favourable weather conditions were overtaken by the technological findings of the 13th century. \textit{Astrolabes} and \textit{sextants} allowed to easily identify latitude thus enabling and supporting maritime treading over the centuries. Compass was then introduced for the first time in Europe in the 12nd century. 

In 1519, Magellan tried the circumnavigation of the globe estimating the speed, direction and latitude of the ship but he was still not able to determine the longitude. The relationships between \textit{longitude} and difference in local times was in fact known by navigators but errors of few minutes in the evaluation of local time w.r.t. to the reference clock lead to several degrees in longitude. In light of this, in the seventeenth and eighteenth indeed, maritime trading and the consequent need of accurate navigation pushed the development of accurate clocks. Key advances in time measurements were provided by Christiaan Huygens around 1657, and John Harrison who built in 1726 a pendulum clock having an error of about 1 second a month. The \textit{Harrison no. 4}, also known as H-4,   was awarded with $\textsterling 20.000$  according to the \textit{Longitude Act of the British Parliament} for discovering the longitude at sea \cite{sobel2005longitude}. The innovation introduced by Harrison's first \textit{sea watch} enabled secure navigation in open see and turning navigation from being an art into a scientific and technological discipline.

\subsubsection{Terrestrial Radionavigation System}

The advent of radionavigation was fuelled by military needs during and after the World War II, provided the consolidated knowledge on radio-wave propagation already used in communications. The radionavigation relies generally on a set of different techniques all based on distances, angle or Doppler measurements w.r.t. known reference landmarks. Such quantities are measured through electro-magnetic \ac{RF} signals lying in the range from $10$ KHz up to $300$ GHz. 

A set of one-way techniques have been exploited in the last century to passively determine the position of a receiver according to different geometrical solutions. Provided that navigation was initially related mostly to maritime applications, the following techniques were used mainly for 2-D estimation. However, further advances in following decades required extended solutions to provide 3-D positioning and navigation capabilities to avionics and aerospace systems. An exhaustive analyses of radionavigation and \ac{GNSS}s is out of the scope of this thesis, therefore the content of this list aim at summarizing the main aspects of each of them.

\paragraph{\ac{TDoA}}- The first radio positioning and navigation systems were based on the \ac{TDoA}, a hyperbolic determination of the position exploiting the ranging signals broadcasted by three transmitting stations, as shown in Figure \ref{fig:TDoA}. The computation of the position is based on the \textit{difference} in the \ac{ToA} of the signals, thus implying synchronous transmitters but not-necessarily synchronous receivers. As an example, \ac{LORAN} and Omega were extensively used during the Wolrd War II, especially for maritime applications \cite{kaplan2017understanding}.

\begin{figure}
\centering
\includegraphics[width=0.5\textwidth,trim={1cm 1cm 2cm 0.1cm},clip]{TDOA.pdf}
\caption{{Hyperbolic positioning solution using three transmitter and \ac{TDoA} measurements.}}
\label{fig:TDoA}
\end{figure} 

\paragraph{\ac{DoA}}- A further technique is known as \ac{DoA} or \ac{AoA} and foresee the use of antenna arrays to determine the direction of the incoming signals. Besides a \ac{DoA} system does not necessarily require clocks synchronization among transmitters and receivers, it implies higher costs, computational complexity and power consumption w.r.t. other techniques \cite{zekavat2011handbook}. Given the dependency of technique on the measurements of angles, \ac{DoA} localization is often referred in literature to as \textit{triangulation}, as shown in Figure \ref{fig:AoA}. 

\begin{figure}
\centering
\includegraphics[width=0.5\textwidth,trim={1cm 2cm 2cm 0.1cm},clip]{AOA.pdf}
\caption{{Triangulated positioning solution using two asynchronous transmitter and \ac{DoA} measurements.}}
\label{fig:AoA}
\end{figure} 

\paragraph{Doppler Navigation}. A different approach in radionavigation foresees the observation of the \textit{Doppler effect} which turns in an apparent change of the frequency of the received signal. Doppler positioning was considered less intuitive despite it provided the baseline for the development of modern satellite navigations systems in the early 1960s.

\paragraph{\ac{ToA}}- Differently from the previous approaches, current \ac{GNSS}s are based on a measurements paradigm named \ac{ToA} also known in literature as \ac{ToF}. As for the other techniques, the early adoption of \ac{ToA} positioning system were addressed to 2-D positioning. In 2-D, the position of a \ac{ToA} receiver can be hence obtained unambiguously as the intersection of a minimum of three circumferences as shown in Figure \ref{fig:ToA}, namely \textit{trilateration}. As far as it was conceived, \ac{ToA} positioning required accurate synchronization of transmitter and receiver clocks which turned to be feasible only in \ac{GNSS} with an additional computational cost. Time misalignment of the receiving clock was hence considered as a further unknown in the positioning problem, thus increasing the number of minimum transmitter to four, as it is foreseen by modern \ac{GNSS}. 

\begin{figure}
\centering
\includegraphics[width=0.5\textwidth,trim={1cm 1cm 2cm 0.1cm},clip]{TOA.pdf}
\caption{{Trilaterated positioning solution using three transmitters and \ac{ToA} measurements with synchronous transmitters and receivers.}}
\label{fig:ToA}
\end{figure} 



%\begin{figure}
%\centering
%\includegraphics[width=1\columnwidth,trim={1cm 0.1cm 2cm 0.1cm},clip]{radionavigation.pdf}
%\caption{{\small 2-D Localization techniques based on RF signals transmitted by multiple reference stations: \ac{ToA} (a), \ac{TDoA} (b), \ac{AoA} (3). }}
%\label{fig:radionav}
%\end{figure} 


\subsubsection{Early Satellite Navigation Systems}
\label{sec:GNSSSfund}

The early intuition about satellite-based positioning came through a non-trivial observation: it appeared evident that the Doppler shift affecting the signals transmitted by \textit{Sputnik I} was enough to determine its orbit when it was observed from a known location. The reversed problem led to the born of Satellite Navigation Systems \cite{misra2006global}. The first operational satellite navigation system was developed by \ac{DARPA} and the Johns Hopkins Applied Physics Laboratory in 1959 and named \textit{Transit} (a.k.a. NAVSAT or \ac{NNSS}). It was designed to be used by U.S. Navy to provide accurate location information to UGM-27 Polaris missiles. The system provided continuous navigation service from 1964 to 1996 employing overall 41 satellites and becoming obsolete with the advent of modern \ac{GPS}. Few years later URSS developed a system transmitting on the same carrier frequencies and known as Tsikada, which was operational from 1978 to 2008. These systems can be considered the ancestors of modern \ac{GNSS}s such as \ac{GPS} and \ac{GLONASS} although they allowed two-dimensional positioning computation (at the see-level) with severe limitation due to satellites visibility and complexity of the position estimation algorithm. Differently from modern \ac{ToA} navigation systems, these previous ones provided positioning and navigation capabilities relying on Doppler measurements. 

\section{Navigation Satellite Systems}
\label{sec:nss}

The active satellite-based navigation systems are listed along with a summary of their main features in Table \ref{tab:GNSSs}. They are distinguished according to their coverage in \textit{global} and \textit{regional} systems. The evolution of such systems has been conditioned by a certain degree of interoperability (i.e. \ac{GPS}+Galileo multiconstellation approach) therefore navigation signals are all transmitted in the same bands for all the systems \cite{Hein2000}. In the following, a short description of each system is provided.


\subsection{GPS}

The knowledge acquired with Transit pushed U.S. Navy and the Air Force to the development of a modernized space-based navigation system in the late 1960s. The \ac{DoD} approved the basic system architecture in 1973: It was the birth of \ac{GPS}. Initially it included a constellation 24 \ac{MEO} satellites, named \ac{NAVSTAR} to provide a passive positioning system based on trilateration. The \ac{MEO} orbit was chosen to achieve the best compromise in terms of satellite design, global coverage and lunching costs. L-band ($1-2$ GHz) was selected within \ac{UHF} for the carrier frequency of the transmitted signals and a bandwidth of $20$ MHz was designed to host the \ac{CDMA} spreading codes implemented to allow simultaneous transmission and discrimination of the satellites \cite{kaplan2017understanding}. Satellites payloads were hence capable to transmit two L-band navigation signals at $1575.42$ MHz (L1) and $1227.60$ MHz (L2). With the launch of first spacecraft, \textit{Navstar 1}, the first generation (Block I) of \ac{GPS} satellite was completed in October 1985.  The full operational status of \ac{GPS} was declared in 1995 \cite{navstar1993icd}.  The third generation of \ac{GPS} satellites is expected to be \added[id=1]{fully} operational in 2023 \cite{roper2010gps,martin2008gps} with substantial updates. Satellites belonging to Block III are designed to broadcast modernized L1 and L2 navigation signals named L1C and L2C, respectively \cite{global2008interface}. The military code, known as P(Y) in the previous generations, will be replaced with a modernized M-code. A further signal referred to as L5 \SI{1176.45}{\MHz}, already available on all the satellites launched from 2010 (Block IIF) is expected to be declared fully operational by 2024 \cite{Hein2000}. \replaced[id=1]{At the time of writing}{As of April 24, 2019, there were} a total of 31 operational satellites in the \ac{GPS} constellation, not including the decommissioned, on-orbit spares.

% Please add the following required packages to your document preamble:
% \usepackage{booktabs}
% \usepackage{lscape}
\begin{landscape}
\begin{table}[]
\begin{small}
\begin{tabular}{@{}lllllll@{}}
\toprule
\textbf{System}      & \textbf{BeiDou}                                                           & \textbf{Galileo}                                                 & \textbf{GLONASS}                                                 & \textbf{GPS}                                                     & \textbf{NAVIC}                                                   & \textbf{QZSS}                                                           \\ \midrule
\textbf{Owner}       & China                                                                     & European Union                                                   & Russia                                                           & United States                                                    & India                                                            & Japan                                                                   \\
\textbf{Coverage}    & Global                                                                    & Global                                                           & Global                                                           & Global                                                           & Regional                                                         & Regional                                                                \\
\textbf{Coding}      & CDMA                                                                      & CDMA                                                             & FDMA \& CDMA                                                     & CDMA                                                             & CDMA                                                             & CDMA                                                                    \\
\textbf{Altitude}    & 21,150 km                                                                 & 23,222 km                                                        & 19,130 km                                                        & 20,180 km                                                        & 36,000 km                                                        & 32,600 km                                                               \\
\textbf{}            &                                                                           &                                                                  &                                                                  &                                                                  &                                                                  & 39,000 km                                                               \\
\textbf{Period}      & \begin{tabular}[c]{@{}l@{}}12.63 h\\ (12 h 38 min)\end{tabular}           & \begin{tabular}[c]{@{}l@{}}14.08 h \\ (14 h  5 min)\end{tabular} & \begin{tabular}[c]{@{}l@{}}11.26 h \\ (11 h 16 min)\end{tabular} & \begin{tabular}[c]{@{}l@{}}11.97 h \\ (11 h 58 min)\end{tabular} & \begin{tabular}[c]{@{}l@{}}23.93 h \\ (23 h 56 min)\end{tabular} & \begin{tabular}[c]{@{}l@{}}23.93 h \\ (23 h 56 min)\end{tabular}        \\
\textbf{Rev./S. day} & 17/9 (1.888...)                                                           & 17/10 (1.7)                                                      & 17/8 (2.125)                                                     & 2                                                                & 1                                                                & 1                                                                       \\
\textbf{Satellites}  & \begin{tabular}[c]{@{}l@{}}23 in orbit \\ (Oct 2018)\end{tabular}         & 26 in orbit                                                      & 24 by design                                                     & 31,{[}35{]}                                                      & 3 GEO,                                                           & \begin{tabular}[c]{@{}l@{}}4 operational \\ (3 GSO, 1 GEO)\end{tabular} \\
\textbf{}            & 35 by 2020                                                                & 22 operational                                                   & 24 operational                                                   & 24 by design                                                     & 5 GSO MEO                                                        & 7 in the future                                                         \\
                     &                                                                           & 6 to be launched                                                 & 1 commissioning                                                  &                                                                  &                                                                  &                                                                         \\
                     &                                                                           &                                                                  & 1 in flight tests{[}34{]}                                        &                                                                  &                                                                  &                                                                         \\
\textbf{Frequency}   & 1.561098 GHz (B1)                                                         & 1.559–1.592 GHz  (E1)                                            & 1.593–1.610 GHz (G1)                                             & 1.563–1.587 GHz (L1)                                             & 1176.45 MHz (L5)                                                 & \begin{tabular}[c]{@{}l@{}}1575.42MHz \\ (L1C/A,L1C,L1S)\end{tabular}   \\
\textbf{}            & 1.589742 GHz (B1-2)                                                       & 1.164–1.215 GHz (E5a/b)                                          & 1.237–1.254 GHz (G2)                                             & 1.215–1.2396 GHz (L2)                                            & 2492.028 MHz (S)                                                 & 1227.60MHz (L2C)                                                        \\
\textbf{}            & 1.20714 GHz (B2)                                                          & 1.260–1.300 GHz (E6)                                             & 1.189–1.214 GHz (G3)                                             & 1.164–1.189 GHz (L5)                                             &                                                                  & \begin{tabular}[c]{@{}l@{}}1176.45MHz \\ (L5,L5S)\end{tabular}          \\
\textbf{}            & 1.26852 GHz (B3)                                                          &                                                                  &                                                                  &                                                                  &                                                                  & 1278.75MHz (L6)                                                         \\
\textbf{Status}      & \begin{tabular}[c]{@{}l@{}}Basic nav. service \\ by 2018 end\end{tabular} & \begin{tabular}[c]{@{}l@{}}Operating \\ since 2016\end{tabular}  & Operational                                                      & Operational                                                      & 7 operational                                                    & Operational                                                             \\
\textbf{}            & \begin{tabular}[c]{@{}l@{}}to be completed \\ by H1 2020\end{tabular}     & \begin{tabular}[c]{@{}l@{}}2020 \\ completion\end{tabular}       &                                                                  &                                                                  &                                                                  &                                                                         \\
\textbf{Precision}   & 10m (Public)                                                              & 1m (Public)                                                      & 4.5m – 7.4m                                                      & \begin{tabular}[c]{@{}l@{}}5m \\ (no augmentation)\end{tabular}  & 10m (Public)                                                     & 1m (Public)                                                             \\
\textbf{}            & \begin{tabular}[c]{@{}l@{}}0.1m \\ (Encrypted)\end{tabular}               & \begin{tabular}[c]{@{}l@{}}0.01m \\ (Encrypted)\end{tabular}     &                                                                  &                                                                  & \begin{tabular}[c]{@{}l@{}}0.1m \\ (Encrypted)\end{tabular}      & \begin{tabular}[c]{@{}l@{}}0.1m \\ (Encrypted)\end{tabular}             \\
\textbf{System}      & BeiDou                                                                    & Galileo                                                          & GLONASS                                                          & GPS                                                              & NAVIC                                                            & QZSS                                                                    \\ \bottomrule
\end{tabular}
\caption{Current Global Navigation Satellite Systems.}
\label{tab:GNSSs}
\end{small}
\end{table}
\end{landscape}

%% Please add the following required packages to your document preamble:
%% \usepackage{booktabs}
%% \usepackage{lscape}
%\begin{landscape}
%\begin{table}[]
%\begin{small}
%\begin{tabular}{@{}lllllll@{}}
%\toprule
%\textbf{System}      & \textbf{BeiDou}                                                               & \textbf{Galileo}                                               & \textbf{GLONASS}                                                 & \textbf{GPS}                                                     & \textbf{IRNSS}                                                   & \textbf{QZSS}                                                           \\ \midrule
%\textbf{Owner}       & China                                                                         & European Union                                                     & Russia                                                           & United States                                                    & India                                                            & Japan                                                                   \\
%\textbf{Coverage}    & Global                                                                        & Global                                                             & Global                                                           & Global                                                           & Regional                                                         & Regional                                                                \\
%\textbf{Coding}      & CDMA                                                                          & CDMA                                                               & FDMA \& CDMA                                                     & CDMA                                                             & CDMA                                                             & CDMA                                                                    \\
%\textbf{Altitude}    & 21,150 km                                                                     & 23,222 km                                                          & 19,130 km                                                        & 20,180 km                                                        & 36,000 km                                                        & 32,600 km                                                               \\
%\textbf{}            &                                                                               &                                                                    &                                                                  &                                                                  &                                                                  & 39,000 km                                                               \\
%\textbf{Period}      & \begin{tabular}[c]{@{}l@{}}12.63 h\\ (12 h 38 min)\end{tabular}               & \begin{tabular}[c]{@{}l@{}}14.08 h \\ (14 h  5 min)\end{tabular}   & \begin{tabular}[c]{@{}l@{}}11.26 h \\ (11 h 16 min)\end{tabular} & \begin{tabular}[c]{@{}l@{}}11.97 h \\ (11 h 58 min)\end{tabular} & \begin{tabular}[c]{@{}l@{}}23.93 h \\ (23 h 56 min)\end{tabular} & \begin{tabular}[c]{@{}l@{}}23.93 h \\ (23 h 56 min)\end{tabular}        \\
%\textbf{Rev./S. day} & 17/9 (1.888...)                                                               & 17/10 (1.7)                                                        & 17/8 (2.125)                                                     & 2                                                                & 1                                                                & 1                                                                       \\
%\textbf{Satellites}  & \begin{tabular}[c]{@{}l@{}}23 in orbit \\ (Oct 2018)\end{tabular}             & 26 in orbit                                                        & 24 by design                                                     & 31,{[}35{]}                                                      & 3 GEO,                                                           & \begin{tabular}[c]{@{}l@{}}4 operational \\ (3 GSO, 1 GEO)\end{tabular} \\
%\textbf{}            & 35 by 2020                                                                    & 22 operational                                                     & 24 operational                                                   & 24 by design                                                     & 5 GSO MEO                                                        & 7 in the future                                                         \\
%                     &                                                                               & 6 to be launched                                                   & 1 commissioning                                                  &                                                                  &                                                                  &                                                                         \\
%                     &                                                                               &                                                                    & 1 in flight tests{[}34{]}                                        &                                                                  &                                                                  &                                                                         \\
%\textbf{Frequency}   & \begin{tabular}[c]{@{}l@{}}1.561098 GHz \\ (B1)\end{tabular}                  & \begin{tabular}[c]{@{}l@{}}1.559–1.592 GHz\\  (E1)\end{tabular}    & \begin{tabular}[c]{@{}l@{}}1.593–1.610 GHz \\ (G1)\end{tabular}  & \begin{tabular}[c]{@{}l@{}}1.563–1.587 GHz \\ (L1)\end{tabular}  & \begin{tabular}[c]{@{}l@{}}1176.45 MHz\\ (L5)\end{tabular}       & \begin{tabular}[c]{@{}l@{}}1575.42MHz \\ (L1C/A,L1C,L1S)\end{tabular}   \\
%\textbf{}            & \begin{tabular}[c]{@{}l@{}}1.589742 GHz \\ (B1-2)\end{tabular}                & \begin{tabular}[c]{@{}l@{}}1.164–1.215 GHz \\ (E5a/b)\end{tabular} & \begin{tabular}[c]{@{}l@{}}1.237–1.254 GHz \\ (G2)\end{tabular}  & \begin{tabular}[c]{@{}l@{}}1.215–1.2396 GHz \\ (L2)\end{tabular} & \begin{tabular}[c]{@{}l@{}}2492.028 MHz \\ (S)\end{tabular}      & \begin{tabular}[c]{@{}l@{}}1227.60MHz \\ (L2C)\end{tabular}             \\
%\textbf{}            & \begin{tabular}[c]{@{}l@{}}1.20714 GHz \\ (B2)\end{tabular}                   & \begin{tabular}[c]{@{}l@{}}1.260–1.300 GHz \\ (E6)\end{tabular}    & \begin{tabular}[c]{@{}l@{}}1.189–1.214 GHz \\ (G3)\end{tabular}  & \begin{tabular}[c]{@{}l@{}}1.164–1.189 GHz \\ (L5)\end{tabular}  &                                                                  & \begin{tabular}[c]{@{}l@{}}1176.45MHz \\ (L5,L5S)\end{tabular}          \\
%\textbf{}            & \begin{tabular}[c]{@{}l@{}}1.26852 GHz \\ (B3)\end{tabular}                   &                                                                    &                                                                  &                                                                  &                                                                  & \begin{tabular}[c]{@{}l@{}}1278.75MHz \\ (L6){[}36{]}\end{tabular}      \\
%\textbf{Status}      & \begin{tabular}[c]{@{}l@{}}Basic nav. service \\ by 2018 end\end{tabular}     & \begin{tabular}[c]{@{}l@{}}Operating \\ since 2016\end{tabular}    & Operational                                                      & Operational                                                      & 7 operational                                                    & Operational                                                             \\
%\textbf{}            & \begin{tabular}[c]{@{}l@{}}to be completed \\ by H1 2020{[}33{]}\end{tabular} & \begin{tabular}[c]{@{}l@{}}2020 \\ completion{[}33{]}\end{tabular} &                                                                  &                                                                  &                                                                  &                                                                         \\
%\textbf{Precision}   & 10m (Public)                                                                  & 1m (Public)                                                        & 4.5m – 7.4m                                                      & \begin{tabular}[c]{@{}l@{}}5m \\ (no augmentation)\end{tabular}  & 10m (Public)                                                     & 1m (Public)                                                             \\
%\textbf{}            & \begin{tabular}[c]{@{}l@{}}0.1m \\ (Encrypted)\end{tabular}                   & \begin{tabular}[c]{@{}l@{}}0.01m \\ (Encrypted)\end{tabular}       &                                                                  &                                                                  & \begin{tabular}[c]{@{}l@{}}0.1m \\ (Encrypted)\end{tabular}      & \begin{tabular}[c]{@{}l@{}}0.1m \\ (Encrypted)\end{tabular}             \\
%\textbf{System}      & BeiDou                                                                        & Galileo                                                            & GLONASS                                                          & GPS                                                              & NAVIC                                                            & QZSS                                                                    \\ \bottomrule
%\end{tabular}
%\caption{Current Global and Regional Navigation Satellite Systems}
%\label{tab:GNSSs}
%\end{small}
%\end{table}
%\end{landscape}



\subsection{Galileo}

Galileo is a \ac{GNSS} developed by the \ac{ESA} by means of the \ac{GSA}. The early development stage of Galileo can be identified in the 1990s when the European Union discussed the need for an independent satellite navigation system mostly conceived for civilian use. The first operational satellite, GIOVE-A, was launched in 2011 and in 2016, 26 of the 30 satellites foreseen for the system were actively in orbit. In october 2012 four \ac{IOC} satellites were availbale by transmitting L1 ranging signal allowing our Research group, NavSAS, to perform one of the first Galileo fixes worldwide \cite{1490}. Starting from December 2016, Galileo provides its \ac{EOC} and its full operational Capability is expected by 2019 \cite{falcone2017galileo}. A total of \replaced[id=1]{26}{22} first-generation Galileo satellites have been deployed to date, including \ac{IOV} units. In 2025-2026 is expected the beginning of the transition between first and second generation of Galileo satellites. According to the European Radio Navigation Plan (ERNP) the system transmits three signals: E1 (1575.42 MHz), E5 (1191.795 MHz) consisting of E5a (1176.45 MHz) and E5b (1207.14 MHz), and E6 (1278.75 MHz), as documented in Table \ref{tab:GNSSs}. According to the agreement with U.S. in 2004, European Union designed the payload using \ac{BOC} modulated-signal allowing both an easier coehexistence with \ac{GPS} signals and future interoperability.

\subsection{Other global and regional systems}

Although this thesis mainly addresses \ac{GPS} and Galileo signals, the proposed methodology can be generalized to other systems and potentially extended to a multi-constellation approach. Therefore, it is worth mentioning other important \ac{GNSS}s and regional satellite systems.

The \textbf{Globalnaya navigatsionnaya sputnikovaya sistema} \textbf{(GLONASS)} is the second satellite navigation system being able to provide global navigation capabilities. Its development was pushed by the Soviet Union in 1976 up to the complention of the first operational constellation in 1995. Differently from \ac{GPS}, the initial architecture provided \ac{FDMA} signals but new \ac{CDMA} signal have been designed (e.g. L1OC, L1SC, L2OC, L2SC) both for restricted and civil services. The new \ac{CDMA} signals uses L1 and L2 frequencies to be interoperable with legacy \ac{GPS} and Galileo signals. 

The \textbf{BeiDou Navigation Satellite System (BDS)}, also known as Beidou-2 or COMPASS is a global evolution of the previous system Beidou-1 (decommissioned at the end of 2012) which was conceived as a regional system. BeiDou-2 was designed to be an independent satellite navigation system owned by Chinese government and it became operational in China in  2011 with an initial constellation of 10 satellites.

The \textbf{Quasi-Zenith Satellite System (QZSS)} is an integrated Japanese regional satellite system based on 1 geostationary satellite and 3 satellites travelling on geosynchronous orbits. It was conceived to provide augmentation to \ac{GPS} but it will be updated as an independent satellite navigation system by 2023 \cite{kishimoto2001qzss}.

The \textbf{Indian Regional Navigational Satellite System (IRNSS)}, a.k.a. NAVIC is a regional satellite navigation system developed by the Indian Research Organization (ISRO) and owned by the Indian Government. The constellation consists of 7 satellites among which 3 satellites are located in geostationary orbit. At the time of writing, IRNSS only provides a restricted service conceived for military purposed but the system is expected to be available for civilian use by 2020 \cite{ganeshan2005indian,saikiran2013irnss}.

\subsection{Augmentation Systems and \ac{DGPS}}

At the early development stages, \ac{GNSS} offered a positioning accuracy which is suitable for navigation in wide-open space \cite{misra2006global} such as maritime applications in open sea and aircraft navigation in open sky. \ac{GPS} did not meet the requirements for the precision landing of aircraft thus not representing a valuable alternative to the consolidated \ac{ILS}. However, the nominal accuracy guaranteed by \ac{GNSS} could be insufficient for vehicular applications \cite{prasad2005applied} as well as for precise surveying activities. A set of ground infrastructures were designed for providing Differential corrections supporting first \ac{GPS} and afterwards new \ac{GNSS}s, namely \ac{DGNSS}. 


Similarly to terrestrial \ac{DGNSS}, new satellites systems has been conceived to support \ac{GNSS} positioning and navigation by providing additional integrity data and differential corrections \added[id=1]{over defined service areas}. Such \deleted[id=1]{satellite-based} augmentation systems are indeed referred to \ac{SBAS} and, starting from the 1990s, they provided a complementary infrastructure to support improved accuracy in \ac{GNSS}. 

\begin{itemize}
\item \textbf{European Geostationary Navigation Overlay System (EGNOS)} was designed to support \ac{GPS} and it reached its operational capabilities in 2005, thus guaranteeing an accuracy within \SI{2}{\meter} and an availability greater than 99\%. The \added[id=1]{third version of the} system was natively capable to supplement Galileo. It is composed by 3 geostationary satellites and a ground-segment of 40 \acp{RIMS} stations \cite{gauthier2001egnos} \added[id=1]{to serve a wide area including Europe and the northern coastal region of Africa. Additional ground stations are operational in Kourou (KOU), Montreal (MON), Hartebeesthoek (HBK)}.

\item \textbf{Wide Area Augmentation System (WAAS)} was developed by the Federal Aviation Administration to support aircraft navigation, thus enabling the use of \ac{GPS} for precise approaches to airports [REF]. The current constellation is composed by 3 geostationary satellites but additional satellites will be lunched in 2020 \cite{van2009gps}. Satellites included in WAAS are designed to provide legacy \ac{GPS} signals to improve the geometry of the standalone \ac{GPS} constellation \cite{loh1995us}.

\item \textbf{Multi-functional Satellite Augmentation System}(MSAS) is a Japanese SBAS operated by Japan's Ministry of Land, Infrastructure and Transport and Civil Aviation Bureau (JCAB). By exploiting two geostationary satellites launched in 2005 and 2006, MSAS provides supplement to \ac{GPS} to achieve better accuracy.

\item \textbf{GPS Aided Geo Augmented Navigation} (GAGAN)  is the implementation of a civil SBAS by the Indian in 2008 government\cite{rao2007gagan}. It foresees a set of 3 geostationary satellites and more than 15 ground stations to provide an improved accuracy of \ac{GPS} up to \SI{3}{m}.
\end{itemize}

Errors in satellite clocks, inaccurate orbit determination, ionospheric and tropospheric impairments and other sources of uncertainties contribute to the inaccuracy of the positioning solutions.
In the field of precise surveying, most of the applications rely on differential positioning to effectively compensate for such biases, namely \ac{DGNSS}. The principle of \ac{DGNSS} foresees a base receiver located at a known location which is capable to receive \ac{GNSS} signals similarly to a further receiver whose location is unknown. Post processing of the data such as \ac{PPP} \cite{bisnath2009current} allows to determine accurate coordinates of the unknown location. Nowadays the most common approach utilizes receivers installed on reference stations providing correction signals to the \ac{GNSS} users by means of data link (i.e. over internet, radio signal, cell-phone) and they are often suitable in real time.




\section{Fundamental of PVT computation in GNSS}
\label{sub:solutionBasics}

By assuming ideal synchronization of the clocks carried by \ac{GNSS} satellites, \ac{ToA} measurements can be performed locally by each receiver. The whole process for the construction of satellite-to-receiver pseudorange measurements will be provided in Chapter \ref{ch:rxarchitecture}, while at the moment let us consider the availability of unbiased measurements. 

In order to determine the positioning solution in the \ac{ECEF} three-dimensional reference frame (see Appendix \ref{appendix:referenceFrame} for details) and the clock bias $b_u(t_k)$ w.r.t. to \ac{GNSS} time scale, a minimum set of four pseudorange measurements is needed. Despite the four unknowns of the receiver position and time state vector the need of four satellites is justified by a simple geometrical assumption: differently from the 2-D trilateration which relies on the intersection of 3 coplanar circumferences, 3-D trilateration (or multilateration) deals with the intersection of a set of spheres. Once the receiver knows the distance from $s_1$, its location is assumed to lie on a sphere with radius $\rho_1$. When a further distance is measured, 

The first satellite locates the receiver on a sphere. The second satellite narrows the receiver position to a circumference created by the intersection of the two spheres. The third satellite reduces the choice to two possible points. Finally, the fourth satellite uniquely identifies the location of the receiver.  

Neglecting all additional error affecting the measurements, a pseudorange measurement retrieved by the receiver can be modelled as

\begin{align}
\label{eq:pseudocorrect}
\rho_u^s(t_k) = ||\mathbf{x}_s(t_k)-\mathbf{x}_u(t_k)|| + b_u(t_k) c
\end{align}

where $\mathbf{x}_s(t_k)$ and $\mathbf{x}_u(t_k)$are the receiver and satellite positions, respectively. Equation \eqref{eq:pseudocorrect} can be expanded in a minimum set of four equations which model the trilateration problem shown in Figure \ref{fig:trilateration}.

\begin{figure}
\centering
\includegraphics[width=0.9\columnwidth,trim={0.1cm 0.5cm 0.1cm 0.1cm},clip]{systemGNSS.pdf}
\caption{{\small Trilateration in \ac{GNSS} position and time solution based on pseudorange measurements. Size and distances are not scaled to real ratio. }}
\label{fig:trilateration}
\end{figure} 





\begin{align}
\label{eq:setLMS}
\begin{split}
\rho_1(t_k) & = \sqrt{(x_1-x_u)^2+(y_1-y_u)^2+(z_1-z_u)^2}+c\cdot b_u(t_k)  \\
\rho_2(t_k) & = \sqrt{(x_2-x_u)^2+(y_2-y_u)^2+(z_2-z_u)^2}+c\cdot b_u(t_k)  \\
\rho_3(t_k) & = \sqrt{(x_3-x_u)^2+(y_3-y_u)^2+(z_3-z_u)^2}+c\cdot b_u(t_k)  \\
\rho_4(t_k) & = \sqrt{(x_4-x_u)^2+(y_4-y_u)^2+(z_4-z_u)^2}+c\cdot b_u(t_k)
\end{split}
\end{align}


where $x_s$,$y_s$ and $z_s$ denotes the position of the satellites in \ac{ECEF} reference frame.
The non-linear equations in \eqref{eq:setLMS} can be solved for the position state by implementing \added[id=1]{approximated} closed algebraic solutions \cite{kaplan2017understanding}, iterative methods operating through linearization or by means of classic optimal Bayesian filtering such as for example \ac{KF} or \ac{PF}. 

According to the linearized methods, the solution can be solved iteratively by determining the offset $\Delta \mathbf{x}_u = (\Delta x_u, \Delta y_u, \Delta z_u, \Delta b_u)$ of the positioning solution w.r.t. an approximated state $\hat{\mathbf{x}}_u = (\hat{x}_u,\hat{y}_u,\hat{z}_u,\hat{b}_u)$, each pseudorange equation can be formally expressed as a function of the user position as $\rho_s(t_k) = f(x_u,y_u,z_u,b_u)$. Assuming a known position and bias state, an approximation of the pseudorange equation can be rewritten as

\begin{equation}
\rho_s(t_k) \simeq \sqrt{(x_s-\hat{x}_u)^2+(y_s-\hat{y}_u)^2+(z_s-\hat{z}_u)^2}+c\cdot b_u(t_k) = f(\hat{x}_u,\hat{y}_u,\hat{z}_u,\hat{b}_u)
\end{equation}

The positioning problem can hence be represented according to
\begin{equation}
\label{eq:approxPseudo}
f(x_u,y_u,z_u,b_u) \simeq f(\hat{x}_u+\Delta x_u,\hat{y}_u+\Delta y_u,\hat{z}_u+\Delta z_u,\hat{b}_u+\Delta b_u).
\end{equation}

Equation \eqref{eq:approxPseudo} can be then expanded through the Taylor expansion w.r.t. the approximation point as 

\begin{align}
\label{eq:taylor}
\begin{split}
f(\hat{x}_u,\hat{y}_u,\hat{z}_u,\hat{b}_u) & \simeq f(\hat{x}_u+\Delta x_u,\hat{y}_u+\Delta y_u,\hat{z}_u+\Delta z_u,\hat{b}_u+\Delta b_u)\\
 &+ \frac{\partial{f}(\hat{x}_u,\hat{y}_u,\hat{z}_u,\hat{b}_u)}{\partial{\hat{x}_u}}\Delta x_u+\frac{\partial{f}(\hat{x}_u,\hat{y}_u,\hat{z}_u,\hat{b}_u)}{\partial{\hat{y}_u}}\Delta y_u\\
 & + \frac{\partial{f}(\hat{x}_u,\hat{y}_u,\hat{z}_u,\hat{b}_u)}{\partial{\hat{z}}_u}\Delta z_u+ \frac{\partial{f}(\hat{x}_u,\hat{y}_u,\hat{z}_u,\hat{b}_u)}{\partial{\hat{b}}_u}\Delta b_u
\end{split}
\end{align}
  
The truncation of the Taylor expansion at the first order of the partial derivatives corresponds to a planar approximation of the spherical intersection expected for the multi-lateration. The partial derivatives are computed as 

\begin{equation}
\label{eq:partials}
\frac{\partial{f}(\hat{x}_u,\hat{y}_u,\hat{z}_u,\hat{b}_u)}{\partial{\hat{x}_u}} = \frac{x_s-x_u}{||\mathbf{x}_s-\hat{\mathbf{x}}_u||}
\end{equation}

substituting the partial derivative in \eqref{eq:taylor}, the following holds

\begin{equation}
\label{eq:linearization}
\rho_s \simeq \hat{\rho}_s-\frac{x_s-\hat{x}_u}{||\mathbf{x}_s-\hat{\mathbf{x}}_u||}\Delta x_u-\frac{y_s-\hat{y}_u}{||\mathbf{x}_s-\hat{\mathbf{x}}_u||}\Delta y_u -\frac{z_s-\hat{z}_u}{||\mathbf{x}_s-\hat{\mathbf{x}}_u||}\Delta z_u + c\Delta b_u
\end{equation}

Equation \eqref{eq:linearization} can be rearranged as

\begin{equation}
\label{eq:linearization2}
\hat{\rho}_s - \rho_s \simeq \frac{x_s-\hat{x}_u}{||\mathbf{x}_s-\hat{\mathbf{x}}_u||}\Delta x_u+\frac{y_s-\hat{y}_u}{||\mathbf{x}_s-\hat{\mathbf{x}}_u||}\Delta y_u +\frac{z_s-\hat{z}_u}{||\mathbf{x}_s-\hat{\mathbf{x}}_u||}\Delta z_u - c \Delta b_u
\end{equation}
  
In order to simplify the notation, the differential terms will be referred to  

\begin{align}
\label{eq:diffTermsCoeffs}
\Delta \rho & = \hat{\rho}_s - \rho_s \\
h_x^s       & =  \frac{x_s-\hat{x}_u}{||\mathbf{x}_s-\hat{\mathbf{x}}_u||} \\
h_y^s       & =  \frac{y_s-\hat{y}_u}{||\mathbf{x}_s-\hat{\mathbf{x}}_u||} \\
h_z^s       & =  \frac{z_s-\hat{z}_u}{||\mathbf{x}_s-\hat{\mathbf{x}}_u||}
\label{eq:steer}
\end{align} 
  
The coefficients $h_x^s $,$h_y^s$ and $h_z^s$ in \ref{eq:steer} denote the Cartesian components of the unitary steering vector pointing towards the $s-th$ satellite. We define a \textit{steering vector} towards the $s$-th satellite according to

\begin{equation}
\label{eq:steering}
\mathbf{h}^s=(h_x^s,h_y^s,h_z^s)
\end{equation}

such as the \eqref{eq:linearization2} can be rewritten as $\Delta \rho = h_x^s \Delta x_u + h_y^s \Delta y_u +h_z^s \Delta z_u - c \cdot \Delta b_u$ 

The component of such linearized equations can be now expressed in matrix notation as

\begin{equation}
\label{eq:positioningSolMatrix}
\Delta \bm{\rho}=\begin{bmatrix}
\Delta \rho_1   \\
\\
\Delta \rho_2   \\
\\
\Delta \rho_3   \\
\\
\Delta \rho_4 
\end{bmatrix}
\mathbf{H} = \begin{bmatrix} h_x^1 & h_y^1 & h_z^1 & 1\\
\\
h_x^2 & h_y^2 & h_z^2 & 1\\
\\
h_x^3 & h_y^3 & h_z^3 & 1\\
\\
h_x^4 & h_y^4 & h_z^4 & 1 \end{bmatrix}
\Delta \mathbf{x}_u = \begin{bmatrix}
\Delta x_u   \\
\\
\Delta y_u   \\
\\
\Delta z_u   \\
\\
\Delta b_u 
\end{bmatrix}
\end{equation}.

The set of pseudorange equations can be written as

\begin{equation}
\label{eq:basicLMS}
\Delta \bm{\rho} = \mathbf{H} \Delta \mathbf{x}_u 
\end{equation}

and eventually  the unknown vector, $\Delta \mathbf{x}_u$, can be hence computed solving for

\begin{equation}
\label{eq:LMSsolutionDeltax}
\Delta \mathbf{x}_u = \mathbf{H}^{-1} \Delta \bm{\rho}.
\end{equation}

By substituting the result of \eqref{eq:LMSsolutionDeltax} in the fundamental relationship

\begin{align*}
\mathbf{x}_u = \hat{\mathbf{x}}_u+\Delta \mathbf{x}_u
\end{align*}

and iterative solutions can be applied to improve the convergence of the algorithm according to a pre-defined threshold \cite{haykin2003least}.

\subsection{Determination of the velocity}
\label{sub:velocity}
The same approach can be implemented for the determination of the velocity of a receiver. In this case, simple pseudorange measurements do not provide a proper information about the dynamics of a receiver and their variation must be considered in form of \textit{pseudorange change rate} or equivalently \textit{Doppler shift}.

Every \ac{GNSS} receiver estimates the Doppler shift of each received satellites signals w.r.t. the nominal carrier frequency at the acquisition stage in order to feed the tracking and to guarantee a proper data demodulation of the navigation message, as it will be clarified in Chapter \ref{ch:rxarchitecture}. Furthermore, modern \ac{GNSS} receivers are capable to perform carrier-phase measurements and can produce precise Doppler shift estimation which must be compared to satellite velocity provided through ephemeris data \cite{kaplan2017understanding}.

When a \ac{GNSS} receiver, $u$, is considered, the received signal frequency from a generic satellite $s$, can be modelled by

\begin{equation}
\label{eq:dopplerStatic}
f_r^s=f_c \left(1- \frac{\mathbf{v}_u^s \cdot \mathbf{h}_u^s}{c} \right)
\end{equation}

where $f_c$ is the nominal carrier frequency associated to the transmitted signal (i.e. $1575.42$ MHz for \ac{GPS} L1), $\mathbf{v}_u^s$ is the user-to-satellite relative velocity and $\mathbf{h}_u^s$ is the steering vector directed along the \ac{LoS}, as determined previously.
The dot product between the relative velocity and the steering vector provides the radial projection of the relative velocity along the \ac{LoS}. By considering a common \ac{ECEF} reference frame, the relative velocity, $\mathbf{v}_s^u$, is computed as

\begin{equation}
\label{eq:relativeV}
\mathbf{v}_u^s= \dot{\mathbf{x}}_s - \dot{\mathbf{x}}_u=\left[ \begin{array}{ccc} \dot{{x}}_s - \dot{{x}}_u & \dot{{y}}_s - \dot{{y}}_u & \dot{{z}}_s - \dot{{z}}_u \end{array} \right]^\top.
\end{equation} 

The Doppler shift can be hence computed as

\begin{equation}
\label{eq:dopplerShift}
\Delta f_u^s=f_r^s-f_c^s= -f_c^s \frac{\left( \dot{\mathbf{x}}_s-\dot{\mathbf{x}}_u \right) \mathbf{h}_u^s}{c}
\end{equation}

The carrier frequency $f_c^s$ is not stable and proper corrections are forwarded in the navigation message to compensate for satellites on-board instrumental drift of the local oscillators. These corrections can be applied to the nominal transmitting frequency as $f_c^s=f_0+\Delta f_u^s$.

The received signal is not centred at $f_c+\Delta f$  but is affected by a bias due to the drift of the receiver clock. The received frequency, $f_r^s$ is hence obtained as  $f_r^s=f_c^s \left(1+\dot{b}_u \right)$.
For the generic $s$-th satellite, the following relationship can be defined for the Doppler shift

\begin{equation}
\label{eq:receivedFreq}
f_{r}^s = f_c^s \left\lbrace 1 - \frac{1}{c} \left[ \left(\dot{\mathbf{x}}_s - \dot{\mathbf{x}}_u \right) \cdot \mathbf{h}_u^s \right] \right\rbrace
\end{equation}

By manipulating \ref{eq:receivedFreq}, the relationships 

\begin{equation}
c \frac{\left( f_u^s - f_c^s \right)}{f_c^s} + {\mathbf{v}}_s \cdot \mathbf{h}_u^s  = \dot{\mathbf{x}}_u \cdot \mathbf{h}_u^s - \frac{c  f_u^s \dot{b}_u }{f_c^s}
\end{equation}

can be expanded in the basic elements of each vector, leading to

\begin{equation}
\label{eq:dopplerRelation}
c \frac{\left( f_u^s - f_c^s \right)}{f_c^s} + \dot{x}_s h_{ux}^s + \dot{y}_s h_{uy}^s + \dot{z}_s h_{uz}^s =  \dot{x}_u h_{ux}^s + \dot{y}_u h_{uy}^s + \dot{z}_u h_{uz}^s - \frac{c  f_u^s \dot{b}_u }{f_c^s}
\end{equation}

where the left elements of ${\mathbf{v}}_s$ are obtained from the ephemeris, the elements of $\mathbf{h}_u^s$ are computed along with the positioning solutions. The right part of \eqref{eq:dopplerRelation} can be associated to a dummy variable for the sake of simplicity which contains the derivatives of position and clock bias of the \ac{GNSS} receiver

\begin{equation}
\label{eq:doppdummy}
d_u= \frac{\left( f_u^s - f_c^s \right)}{f_c^s} + \dot{x}_s h_{ux}^s + \dot{y}_s h_{uy}^s + \dot{z}_s h_{uz}^s
\end{equation} 

Provided that generally  $f_u^s/f_c^s\simeq 1$, a simplification on the right term can be applied to simplify the problem at the cost of small error in the computation \cite{kaplan2017understanding}.
Being $d_u^s$ the unknown vector, the \eqref{eq:doppdummy} can be solved through 

\begin{equation}
\label{eq:dopplerSolMatrix}
\mathbf{d}_u=\begin{bmatrix}
\dot{x}_u   \\
\\
\dot{y}_u   \\
\\
\dot{z}_u   \\
\\
\dot{b}_u 
\end{bmatrix}
\mathbf{H} = \begin{bmatrix} h_x^1 & h_y^1 & h_z^1 & 1\\
\\
h_x^2 & h_y^2 & h_z^2 & 1\\
\\
h_x^3 & h_y^3 & h_z^3 & 1\\
\\
h_x^4 & h_y^4 & h_z^4 & -1 \end{bmatrix}
\mathbf{g} = \begin{bmatrix}
\dot{x}_u   \\
\\
\dot{y}_u   \\
\\
\dot{z}_u   \\
\\
c\dot{b}_u 
\end{bmatrix}
\end{equation}.

Provided that $\mathbf{H}$ is the same Direct Cosine Matrix obtained in \ref{sub:solutionBasics} \added[id=1]{and that is invertible}, the solution of the first order derivative terms is obtained as $\mathbf{g}= \mathbf{H}^{-1} \mathbf{d}_u$.\\

Position, velocity and time constitute the fundamental set of information 
which can be autonomously computed through \ac{GNSS} only and which is included in the \textit{receiver state vector}. Such a state vector can be arbitrarily extended with further information about the motion of the receiver such as linear and angular accelerations.

%\section{Collaborative Positioning and \ac{GNSS}}
%\label{sec:coopPos}
%
%
%
%\ac{CP} \cite{1668252,1067998,10.1007/978-3-642-72198-4_16} has been an active
%area of research over the last few decades as it presents several advantages
%over traditional single agent systems like robustness, increased efficiency,
%information exchange and increase in virtual sensing capability. Cooperative positioning finds a large variety of applications such
%as navigation of ground \cite{6112245}, underwater [3] and aerial vehicles [42, 43, 7], patrolling [30, 31], search and rescue missions [16], target tracking [38], time-synchronized path following [41] to name a few.
%Several different estimation approaches have been employed to solve cooperative
%localization such as the \ac{EKF} [40], \ac{MLE} [13], Factor graphs using non-linear least squares [27], \ac{MAP} [29] and so on. 
%
%These estimators can be present on a single master node or distributed. When a single master node is present, it fuses the sensor information from all vehicles to provide pose estimate for the individual vehicles [47, 28] . Distributed estimation techniques have been explored to reduce the computation overhead. Using such algorithms, the vehicles only exchange information with their immediate neighbours to generate their own estimates [11, 5]. Regardless of the estimation technique used, the quality of the estimation or navigation results will be highly dependent on the observability of the system [14]. Simply defined, observability is the ability to distinguish between two states at different time instants given certain sensor information. Observability analysis for cooperative localization has been
%performed for both continuous time [39] and discrete time systems [6]. Maintaining
%or improving observability using controllers [37] for applications using
%cooperative localization is extremely important to ensure that the mission
%objectives are achieved in the absence of any global position reference.
%Although this is widely researched area, there are many challenges faced
%in the practical implementation of cooperative localization where sensor data
%packet loss, communication delays, vehicle failures, random biases in sensors
%are common along with external conditions. These provide interesting areas
%of research and provides a good platform for focused future work which can
%be directed towards better system modelling or more robust noise handling
%capabilities and have discussed in-depth in [4]. 
%
%The implementation of \ac{CP} strategies are typically used to facilitate navigation in \ac{GNSS}-denied environments using the user motion information from its internal sensors and the information about it's surroundings from it's external sensors. This exchange of information between the vehicles in the group in the presence of certain features whose position information is known a priori helps in generating vehicle state estimates for all vehicles in the group that enables completion of various tasks in \ac{GNSS}-denied or jammed or spoofed environments or even in areas with remarkable impairments affecting \ac{GNSS} signals like canyons, urban areas and so on. Pioneering works on the tight integration of \ac{DGPS} and \ac{INS} in an EKF-based positioning algorithm were proposed to improve accuracy and availability of \ac{GNSS} positioning \cite{7015602,948650,4343975}.
%
%\subsection{Centralized approach}
%\label{sub:centralized}
%
%\subsection{de-centralized}
%
%\subsection{Distributed \ac{GNSS}-only collaborative positioning}
%\label{sub:gnssCoopPos}
%
%The approach pursued in this thesis addresses a strategy of \ac{CP} which is exclusively based on \ac{GNSS} measurements. The inter-agent distances are estimated through the combination of \ac{GNSS} observables according to differential techniques.
%
%Previous works investigated the computation of distance among GNSS receivers. For example in \cite{6240332}, the authors presented a technique to compute inter-vehicular range measurements through weighted GNSS double differences. Other GNSS-based techniques are summarized in \cite{tahir2018accuracy} with a detailed comparison and a new technique is also presented. 
%
%
%A two-steps positioning algorithm has been proposed to refine the GNSS-only position estimates through a maximum likelihood approach constraining the positioning solution by means of inter-vehicle ranges obtained by weighted double differentiation of shareable pseudorange measurements \cite{liu2014improving}. The approach foresees a distributed computation of the locations of all the agents by each agent. A final estimated was then performed as a weighted mean of the different estimates provided by the collaborating agents. The scheme proposed in \cite{liu2014improving} does not exploit the dynamics of the agents, thus being suboptimal in dynamics applications. 